<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>NODE.JS</title>
    <link rel="stylesheet" href="/css/style.css">
    <link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
    
</head>
<body>
    <div class="topnav">
        <a class="active" href="#home">Home</a>
        <a href="#news">News</a>
        <a href="#contact">Contact</a>
        <a href="#about">About</a>
    </div>
      
    <div style="padding-left:16px">
        <div class="w3-container">
            <h2>List User Table</h2>
            <table class="w3-table-all w3-hoverable">
                <thead>
                    <tr class="w3-light-grey">
                        <th>ID</th>
                        <th>First Name</th>
                        <th>Last Name</th>
                        <th>Action</th> 
                    </tr>
                </thead>
                <tbody>
                    <% for(let i=0; i < dataUser.length; i++) { %>
                        <tr>
                            <td>
                                <%= dataUser[i].id %>
                            </td>
                            <td>
                                <%= dataUser[i].firstName %>
                            </td>
                            <td>
                                <%= dataUser[i].lastName %>
                            </td>
                            <td>
                                <a href="/detail/user/<%= dataUser[i].id %>">Detail</a>
                                <form action="/editUser/<%= dataUser[i].id %>" method="GET">
                                    <button type="submit">Edit</button>
                                </form>
        
                                <form action="/delete-user" method="POST">
                                    <input type="text" hidden value="<%= dataUser[i].id %>" name="userId" />
                                    <button type="submit">Delete</button>
                                </form>
                            </td>
                        </tr>
                    <% } %>
                </tbody>
            </table> 
        </div>
        <div class="create-user-container">
            <form action="/create-new-user" method="POST">
                <div><b>Create a new user:</b></div>
                <div>
                    <label>First Name: </label>
                    <input type="text" name="firstName"/>
                </div>
                <div>
                    <label>Last Name: </label>
                    <input type="text" name="lastName"/>
                </div>
                <div>
                    <label>Email: </label>
                    <input type="email" name="email"/>
                </div>
                <div>
                    <label>Address: </label>
                    <input type="text" name="address"/>
                </div>
                <div>
                    <button type="submit" class="btn-submit">Submit</button>
                </div>
            </form>
        </div>

    </div>
</body>
</html>